# $Revision: 1.18 $, $Date: 2012/04/01 12:51:44 $
Summary:	Extra plugins for Anjuta
Name:		anjuta-extras
Version:	3.4.0
Release:	1
License:	GPL v2+
Group:		Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/anjuta-extras/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	fa1946725c0f45ffa7ee64b4a2c8f86e
URL:		http://www.anjuta.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils >= 0.18.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libanjuta-devel >= 1:3.4.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	anjuta >= 1:3.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains a set of plugins for Anjuta.

The following plugins are included:
- Sample Plugin: Sample Plugin for Anjuta
- Scintilla Editor: An alternate editor based on Scintilla
- Scratchbox: Change build commands to use scratchbox 1 or 2

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/anjuta/*.{a,la}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/anjuta/libanjuta-editor.so
%attr(755,root,root) %{_libdir}/anjuta/libanjuta-sample.so
%attr(755,root,root) %{_libdir}/anjuta/libanjuta-scratchbox.so
%{_libdir}/anjuta/anjuta-editor.plugin
%{_libdir}/anjuta/anjuta-sample.plugin
%{_libdir}/anjuta/anjuta-scratchbox.plugin
%{_datadir}/glib-2.0/schemas/org.gnome.anjuta.plugins.scintilla.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.anjuta.plugins.scratchbox.gschema.xml
%{_datadir}/anjuta/glade/*.png
%{_datadir}/anjuta/glade/*.ui
%{_datadir}/anjuta/properties
%{_datadir}/anjuta/ui/*.ui
%{_datadir}/anjuta/ui/*.xml
%{_pixmapsdir}/anjuta/*.png
%{_pixmapsdir}/anjuta/*.svg

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: anjuta-extras.spec,v $
Revision 1.18  2012/04/01 12:51:44  megabajt
- updated to 3.4.0

Revision 1.17  2011/12/06 09:29:01  lisu
- removed obsoleted files

Revision 1.16  2011/12/06 08:21:46  lisu
- start update to 3.2.0

Revision 1.15  2011/10/20 08:32:23  lisu
- updated to 2.32.1.1
- __rm macro

Revision 1.14  2011/01/27 10:24:32  arekm
- release 5

Revision 1.13  2011/01/06 13:51:21  arekm
- release 4

Revision 1.12  2010/12/17 18:33:40  arekm
- release 3

Revision 1.11  2010/12/09 14:30:29  arekm
- release 2

Revision 1.10  2010/11/24 20:27:03  megabajt
- updated to 2.32.0.0

Revision 1.9  2010/11/23 05:49:35  arekm
- release 8

Revision 1.8  2010/11/20 20:14:08  arekm
- release 7

Revision 1.7  2010/10/23 15:30:31  megabajt
- release 6

Revision 1.6  2010/08/23 20:43:34  glen
- libtoolize to solve 2.2.6b (bundled) vs 2.2.10 (distro) conflict

Revision 1.5  2010/06/15 08:40:55  hawk
- release 4

Revision 1.4  2010/06/03 16:31:47  glen
- release 3

Revision 1.3  2010/05/29 18:36:03  megabajt
- release 2

Revision 1.2  2010/05/16 14:52:21  sparky
- BR: gettext-devel, libtool

Revision 1.1  2010/04/30 21:02:17  megabajt
- new
